<?php
// 2021-05-18 Voor zover mogelijk alles uitgezocht(HW). These items are used as column names in creating the table(s) for use with weerdata. This includes all realtime.txt fields as per the Cumulus wiki

date_default_timezone_set('Europe/Amsterdam');
 $timestamp = strftime('%d-%m-%Y %H:%M:%S');
 $weerdata = [
 $timestamp,			//02 - timestamp
 $_POST['tempf'],			//03 - Buitentemperatuur in celsius. WERKT
 $_POST['humidity'],			//04 - Luchtvochtigheid buitenshuis procenten. WERKT
 '0.0',				//05 - Dewpoint. Wordt niet verzonden. WERKT NIET
 $_POST['windspeedmph'],		//06 -  Windsnelheid im mph. Wordt door plugin omgerekend naar kmh WERKT
 '0.0',				//07 - latest wind speed reading. Code niet bekend Huidige windvlaag richting in graden, dus niet de huidige wind. WERKT NIET
 $_POST['winddir'],			//08 - Huidige wind richting in graden, dus niet de windvlaag. WERKT
 $_POST['rainratein']*25.4,		//09 - Huidige regenneerslag intensiteit. Waarde wordt in plugin in mm als neerslag intensiteit weergegeven. Geen cijfer achter de komma. WERKT
 $_POST['dailyrainin']*25.4,		//10 - Rain today. Totaal dagelijkse neerslag. Geen cijfer achter de komma.  WERKT
 $_POST['baromrelin'],		//11 - Relatieve luchtdruk, dit is Luchtdruk op zeeniveau. WERKT NIET 
 '-',				//12 - current wind direction (compass point). WERKT 
 '0',				//13 - wind speed as in winsdspeedkmh converted to force number (beaufort). Wordt niet verzonden. WERKT NIET
 'kmh',				//14 - Eenheid van windsnelheid. WERKT
 'f',				//15 - Eenheid van temperatuur. Deze op f fahrenheit laten staan temperaturen worden goed omgerekend naar celsius WERKT
 'in',				//16 - Eenheid van luchtdruk. Deze op in laten staan. WERKT
 'mm',				//17 - Eenheid van neerslag regen. Deze op mm laten staan. WERKT
 '0',				//18 - Code onbekend wind run (today). Wordt niet verzonden. WERKT NIET
 '0',				//19 - pressure trend value (The average rate of pressure change over the last three hours). Wordt niet verzonden. WERKT NIET
 $_POST['monthlyrainin']*25.4,	//20 - monthlyrainin totaal maandelijkse regen in mm, geen cijfer achter komma.  WERKT
 $_POST['totalrainin']*25.4,		//21 - yearly rainfall. Totaal jaarlijkse regen in mm geen cijfer achter komma. WERKT
 '0',				//22 - yesterday's rainfall. Wordt niet verzonden. WERKT NIET
 $_POST['tempinf'],			//23 - Binnentemp wordt correct weergegeven in celsius WERKT
 $_POST['humidityin'],		//24 - Relatieve luchtvochtigheid binnen procenten WERKT
 '0',				//25 - wind chill. Wordt niet verzonden. WERKT NIET
 '0',				//26 - temperature trend value (The average rate of change in temperature over the last three hours). Wordt niet verzonden. WERKT NIET
 '0.0',				//27 - today's high temp. Wordt niet verzonden. WERKT NIET
 '0.0',				//28 - time of today's high temp (hh:mm). Wordt niet verzonden. WERKT NIET
 '0.0',				//29 - today's low temp. Wordt niet verzonden. WERKT NIET
 '0.0',				//30 - time of today's low temp (hh:mm). Wordt niet verzonden. WERKT NIET
 '0.0',				//31 - today's high wind speed (of average as per choice). Wordt niet verzonden. WERKT NIET
 '0',				//32 - time of today's high wind speed (average) (hh:mm). Wordt niet verzonden. WERKT NIET
 $_POST['maxdailygust'],		//33 - today's high wind gust. Wordt wel verzonden. Wordt niet verwerkt door WP-plugin. WERKT NIET
 '0.0',				//34 - time of today's high wind gust (hh:mm). Wordt niet verzonden. WERKT NIET
 '0.0',				//35 - today's high pressure. Wordt niet verzonden.WERKT NIET
 '0.0',				//36 - time of today's high pressure (hh:mm). Wordt niet verzonden.WP-plugin. WERKT NIET
 '0.0',				//37 - today's low pressure. Wordt niet verzonden. WERKT NIET
 '0.0',				//38 - time of today's low pressure (hh:mm). Wordt niet verzonden. WERKT NIET
 '1.0.1',				//39 - Cumulus Versions (the specific version in use). Wordt niet verzonden. WERKT NIET
 '0',				//40 - Cumulus build number. Wordt niet verzonden. WERKT NIET
 $_POST['windgustmph'],		//41 - 10-minute high gust. Wordt weergegeven als vlaagsnelheid WERKT
 '0',				//42 - heat index. Wordt niet verzonden. WERKT NIET
 '0',				//43 - humidex. Wordt niet verzonden. WERKT NIET
 $_POST['uv'],			//44 - UV index WERKT
 '0.0',				//45 - evapotranspiration. Wordt niet verzonden. WERKT NIET
 $_POST['solarradiation'],		//46 - solar radiation, watt per m2. WERKT
 '0',				//47 - 10-minute average wind bearing (degrees). Wordt niet verzonden. WERKT NIET
 $_POST['hourlyrainin'],		//48 - rainfall last hour. Wordt verzonden bij test en wordt verwerkt WERKT OF WERKT NIET
 '0',				//49 - The number of the current (Zambretti) forecast as per Strings.ini. Wordt niet verzonden. WERKT NIET
 '0',				//50 - Flag to indicate that the location of the station is currently in daylight (1 = yes, 0 = No).Wordt niet verzonden. WERKT NIET
 '0',				//51 - If the station has lost contact with its remote sensors "Fine Offset only", a Flag number is given (1 = Yes, 0 = No). Wordt niet verzonden. WERKT NIET
 '-',				//52 - Average wind direction. Wordt niet verzonden. WERKT NIET
 '0',				//53 - Cloud base. Wordt niet verzonden. WERKT NIET
 '-',				//54 - Cloud base units. Wordt niet verzonden. WERKT NIET
 '0.0',				//55 - Apparent temperature. Wordt niet verzonden. WERKT NIET
 '0.0',				//56 - Sunshine hours so far today. Wordt niet verzonden. WERKT NIET
 '0.0',				//57 - Current theoretical max solar radiation. Wordt niet verzonden. WERKT NIET
 '0',				//58 - Is it sunny? 1 if the sun is shining, otherwise 0 (above or below threshold). Wordt niet verzonden. WERKT NIET
 '0.0'				//59 - Feels like. Wordt niet verzonden. WERKT NIET
    ];
